complexType "PortfolioDefinition"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | portfolioName?, asOfDate?, definingParty?, matchingParty?
</...>

Content Model Elements (4):

  asOfDate (defined in PortfolioDefinition complexType), definingParty, | matchingParty, portfolioName (defined in PortfolioDefinition complexType)

Known Direct Subtypes (1):

  InitialPortfolioDefinition

All Direct / Indirect Based Elements (3):

  portfolio (in positionsAcknowledged), portfolio (in positionsAsserted), | portfolio (in positionsMatchResults)

Known Usage Locations

- In derivations of other global types (1):
  InitialPortfolioDefinition (as extension base)
- As direct type of elements (2):

  portfolio (in positionsAcknowledged), | portfolio (in positionsMatchResults)

Annotation
The set of elements that identify a portfolio.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="PortfolioDefinition"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="asOfDate" type="xsd:date"/> <xsd:element minOccurs="0" name="definingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="matchingParty" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
asOfDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="xsd:date"/>

definingParty

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="definingParty" type="PartyReference"/>

matchingParty

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="matchingParty" type="PartyReference"/>

portfolioName

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="portfolioName" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.